<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/utiljs.php");
opensession("Eleve",true);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Bandeau B2I - élève</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<script language='javascript'>

function getURLframe(nameframe) {
 //recherche de l'URL qui est dans la frame choix
 var fURL=eval('window.parent.'+nameframe+'.location.href');
 fURL=fURL.substring(fURL.lastIndexOf('/')+1);
 fURL=fURL.substring(0,fURL.indexOf('.'));
 return fURL;
}

function envoi() {
 //suivant le cas, on gère l'envoi depuis eleve_choix ou depuis eleve_coche1
 var fURL=getURLframe('choix');
 var wing=window.parent.choix;
 switch (fURL) {
     case 'eleve_choix' : {
         if (window.parent.choix.compte_coches()) {
             window.parent.choix.soumettre();
            }
         break;
         }
     case 'eleve_coche1' : {
         window.parent.choix.target_top();
         window.parent.choix.soumettre();
         break;
         }
     case 'eleve_traiter' : {
         nombouton('Envoyer');
         window.parent.choix.recharger('eleve_choix.php');
         break;
         } //case
     } //switch
 } //function

function nombouton(libelle) {
window.document.form1.envoyer.value=libelle;
}


function logout() {
  window.top.location.replace('../login/login.php?etab_id=<?php echo $etab_id; ?>');
}

function changelangue(ancienne,nouvelle) {
if (ancienne!=nouvelle) document.chgtlang.submit();

}
function ouvrirfenetre(adr) { //nouvelle fenêtre
wliste=open(adr,'','dependent,top=100,left=300,height=250,width=450,resizable,scrollbars=no, menubar=no,toolbar=no, statusbar=no');
}

</script>
</head>

<body class="header">
<?php

//on possède les variables de session suivantes :
//   - $sess_discipline : discipline/langue en cours
//   - $sess_langues[1..3] codes des langues pour l'affichage des libellés des boutons radio
//   - $sess_lvchoix[1..3] langues vivantes choisies par l'élève
//     $sess_lvchoix[2]=1 signifie que sa LV2 est $sess_langues[1] (en principe anglais)

//définition des variables pour le tableau
//Dénomination EXCEL A1 A2 A3 B1 B2 B3 C1 C2 C3
$A1=date("d/m/Y")."&nbsp;<br><b>".$etab_nom."</b><br/>".$sess_classe;
$A2=$sess_prenom." ".$sess_nom;
$A3="";
//Affichage des attestations
for ($i=1;$i<=3;$i++) {
	$ii=(string) $i;
	if (strpos($etab_niveau,$ii)) {
		if (getbrevet($sess_mec_id,$i))	{
			$A3.="<img src='../images/coupe".$i.".gif' border=0 Title='Brevet ".getlibellenivo($i)."&nbsp;obtenu !'>";
		}
	}
}

if (@$etab_pas_aide_eleve==0) {
  if (isset($etab_URL_aide_eleve) AND ($etab_URL_aide_eleve!="")) 
	 $A3.="<a href=\"".$etab_URL_aide_eleve."\" target=\"_blank\"><img src=\"../themes/".$etab_theme."/aide.gif\"      Title=\"aide\" alt=\"aide\" border =\"0\"></a>";
  elseif (isset($URL_AIDE_ELEVE) AND ($URL_AIDE_ELEVE!=""))
	$A3.="<a href=\"".$URL_AIDE_ELEVE."\" target=\"_blank\"><img src=\"../themes/".$etab_theme."/aide.gif\" Title=\"aide\" alt=\"aide\" border =\"0\"></a>";
  else  $A3.="<img src=\"../themes/".$etab_theme."/aide.gif\"  border =\"0\">";
} 


$SEP="&nbsp;";
$A3.=$SEP."<a href=\"affiche_demandes_anciennes.php\" target=\"choix\"><img src=\"../themes/".$etab_theme."/demandes_anciennes.gif\" Title=\"Voir les commentaires de demandes périmées\" alt=\"Anciennes demandes\" border =\"0\"></a>";
// chgt de theme
if ($etab_chgt_theme==1) $A3.=$SEP."<a href=\"javascript:ouvrirfenetre('../outils/choisir_theme.php?statut=Eleve')\"><img src=\"../themes/".$etab_theme."/chgt_theme.gif\" Title=\"Changer le thème\" Alt=\"Changer le thème\"></a>";
if ($MODULE=='Melia') {
    if (empty($sess_tabcodelang)) {
        //récupérer les disciplines une fois pour toutes pour éviter les requêtes
        $res3=query("SELECT libelle,code_langue FROM disciplines ORDER BY disc_id");
        for ($i=1; list($sess_tablang[$i],$sess_tabcodelang[$i])=mysql_fetch_array($res3) ; $i++);
        session_puts('sess_tablang','sess_tabcodelang');
        }
    for ($i=1; $i<=count($sess_lvchoix) ; $i++) {
        $lvchoix=@$sess_lvchoix[$i];
        //if (!isset($lvchoix) || $lvchoix==0) continue; //ou break, à moins qu'on puisse faire LV1 et LV3 sans LV2 !
        //Sinon, le français fait merder car son id=0
        //Jak 17-06-06
        if ($disc_id==$lvchoix) $checked="checked"; else $checked="";
        $libelle=$sess_tabcodelang[$lvchoix];
        $A3.=$SEP."<input type=\"radio\" name=\"boutonrad\"
                     value=\"$sess_lvchoix[$i]\"
                     onclick=\"changelangue($disc_id,$sess_lvchoix[$i]);\"
                     $checked> $libelle&nbsp;&nbsp;&nbsp;&nbsp;\n";
        }
}
$B1="../themes/".$etab_theme."/b2i_eleve.gif";
$C1=oldsession();
$C2="";
$C3="";

?>

<table border="0" width="100%" align="center">
<!--   ligne 1  -->
   <tr class="titre_prof">
        <td valign="top" height="35" width="25%"><span class="titre_prof_header"><?php echo $A1; ?></span></td>
        <td rowspan="3"  valign="top" width="50%">
            <p align="center"><a href="eleve_ut.php" target=_top title="Retour accueil élève">
               <img src="<?php echo $B1; ?>" class="menu_eleve_img" border="0" alt="Menu Elève"></a>
            </p>
        </td>
        <td valign="top">
        <?php print $C1;  ?>
        </td>
    </tr>
<!--   ligne 2  -->
    <tr class="titre_elev" >
        <td  valign="middle">
           <?php print $A2; ?>
        </td>
        <td rowspan="2" style="text-align:right;">
          <?php
           if (($etab_typauth_id==3) and ($entree_SSO==1)) boutonlogin("$CAS_RETOUR");
              else boutonlogin("../login/login.php");
          ?>
          <form name="form1" method="POST" >
          <!-- <input class='coul' type='button' name='bout' value='Déconnexion' onclick='logout();'><br /> -->
          <input class='coul' type='button' name='envoyer' value='Envoyer' accesskey="E" onclick='envoi();'>
          </form>
        </td>
    </tr>
<!--   ligne 3  -->
    <tr class="titre_prof" VALIGN="top">
        <td>
            <form name="chgtlang" action="chgtlang.php" method="post" target=_top>
                  <strong><?php echo $A3; ?>&nbsp;</strong>
            </form>
        </td>
    </tr>
</table>
</body>
</html>